Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteLargeReportManager

All Superinterfaces:
  java.rmi.Remote

Deprecated. As of v8, replaced by `RemoteOndemandReportManager`

    public interface RemoteLargeReportManager

extends java.rmi.Remote

Interface `RemoteLargeReportManager` provides a remote manager for a large report.

Method Summary
`java.lang.String` | `getErrorMessage(java.lang.String resultName)` Deprecated. Returns error message if the large report whose name is the same as the result name does not run correctly.
`LargeReportRecord` | `getLargeReportRecord(java.lang.String tempResultName)` Deprecated. Gets the large report record of the temporary result.
`java.util.Vector` | `getLargeReports(java.lang.String userID)` Deprecated. Gets large report records registered by user.
`LargeReportRecord` | `notifyCompleted(java.lang.String tempResultName)` Deprecated. Notifies when the large report has finished running.
`void` | `removeLargeReport(java.lang.String tempResultName, boolean isStop)` Deprecated. Removes the temporary result for the large report record.

Method Detail

### getLargeReports

    java.util.Vector getLargeReports(java.lang.String userID)
                                     throws java.rmi.RemoteException

  Deprecated.
  Gets large report records registered by user.

  Parameters:
    `userID` - The userID.
  Returns:
    the vector containing LargeReportRecord objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLargeReportRecord

    LargeReportRecord getLargeReportRecord(java.lang.String tempResultName)
                                           throws java.rmi.RemoteException

  Deprecated.
  Gets the large report record of the temporary result.

  Parameters:
    `tempResultName` - The temporary result name.
  Returns:
    the large report record of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### notifyCompleted

    LargeReportRecord notifyCompleted(java.lang.String tempResultName)
                                      throws java.rmi.RemoteException

  Deprecated.
  Notifies when the large report has finished running.

  Parameters:
    `tempResultName` - The temporary result name.
  Returns:
    the large report record of the temporary result, returns null if the temporary result was not registered.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeLargeReport

    void removeLargeReport(java.lang.String tempResultName,
                           boolean isStop)
                           throws java.rmi.RemoteException

  Deprecated.
  Removes the temporary result for the large report record.

  Parameters:
    `tempResultName` - The temporary result name.
    `isStop` - True to stop running the large report if it is still running.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getErrorMessage

    java.lang.String getErrorMessage(java.lang.String resultName)
                                     throws java.rmi.RemoteException

  Deprecated.
  Returns error message if the large report whose name is the same as the result name does not run correctly.

  Parameters:
    `resultName` - The result name of the large report.
  Returns:
    error message if the large report whose name is the same as the result name does not run correctly.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD